conflitto tra librerie jquery

processore

Utente Attivo
11 Ott 2012
51
0
0
salve.
premetto che non sono un esperto di jquery.
sto facendo una pagina web dove ho messo una ricerca con autocompletamento, e una galleria di immagini.
sia il codice per l'autocompletamento che quello della galleria li ho presi su internet.

solo che ho un problema, se metto il codice dell'autocompletamento funziona, pero se metto pure la galleria , smette di funzionare l'auto completamento e funziona la galleria,

questo è il codice autocompletamento

Codice:
 <script type="text/javascript" src="funzioni/jquery-1.8.2.js"></script>
 <script type="text/javascript"
        src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.js"></script>
<script type="text/javascript"
        src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.5/jquery-ui.js"></script>
<script type="text/javascript"
        src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.5/i18n/jquery.ui.datepicker-it.js"></script>
<link rel="stylesheet"
      href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.5/themes/base/jquery-ui.css" type="text/css"/>
<link rel="stylesheet"
      href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.5/themes/redmond/jquery-ui.css" type="text/css"/>



 <!-- script per l'autocompletamento della ricerca -->
     <script type="text/javascript">
		$(document).ready(function() {
			$("#tag").autocomplete({
				source: "data.php",
				minLength: 2,
				focus: function( event, ui ) {
					$(this).val(ui.item.label);
					return false;
				},
				change: function(event, ui) {
					if (!ui.item) {    
						$(this).val('');
						$('#tagid').val('');
						return false;
					}
				},
				select: function(event, ui) {
					$(this).val(ui.item.label);
					$('#tagid').val(ui.item.value);               
					return false;
				}
			});
		});
    </script>

codice galleria

Codice:
       <!-- jQuery -->
              <script src="http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>
            
              <!-- FlexSlider -->
              <script defer src="js_gallery/jquery.flexslider.js"></script>
            
              <script type="text/javascript">
                $(function(){
                  SyntaxHighlighter.all();
                });
                $(window).load(function(){
                  $('.flexslider').flexslider({
                    animation: "slide",
                    start: function(slider){
                      $('body').removeClass('loading');
                    }
                  });
                });
              </script>
ho visto che togliendo questa riga di codice tonta a funzionare l'autocompletamento.

Codice:
       <!-- jQuery -->
              <script src="http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>
quindi penso sia un conflitto tra librerie.
cosa posso fare ?

grazie
 

MAeSI

Utente Attivo
13 Apr 2014
71
1
8
quellidelcucuzzolo.blogspot.it
Ciao,

la libreria jQuery va inserita una volta sola, mentre tu l'hai inserita tre volte, in tre versioni diverse (1.8.2 - 1.4.2 - 1.11.1).

Io proverei a tenere solo la versione 1.8.2 e cancellerei le altre due.

In alternativa puoi provare a tenere solo la versione più aggiornata fra quelle che hai (ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js), ma è probabile che tu debba includere anche files più aggiornati della libreria jQuery UI rispetto a quelli che hai ora.